Name:		fluxbox
Version:	0.9.9
Release:	0.fdr.1.2
Epoch:		0
Summary:	Fluxbox is a windowmanager that is based on Blackbox.

Group:          User Interface/Desktops 
License:	MIT
URL:		http://fluxbox.sourceforge.net

Source0: http://download.sourceforge.net/fluxbox/fluxbox-0.9.9.tar.bz2 
Source1: Xclients.%{name}
Source2: FluxBox
Source3: fluxbox.desktop
Source4: artwiz-aleczapka.tar.bz2

Patch0: fluxbox-0.9.9.startfluxbox-UTF-8.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	XFree86-devel
Buildrequires: zlib-devel
Requires(post,postun): chkfontpath


%description

Fluxbox is yet another windowmanager for X.  It's based on the Blackbox 0.61.1
code. Fluxbox looks like blackbox and handles styles, colors, window placement
and similar thing exactly like blackbox (100% theme/style compatibility).  So
what's the difference between fluxbox and blackbox then?  The answer is: LOTS!

Have a look at the homepage for more info ;)


%prep
%setup -q
%patch0 -p1 -b .UTF-8

%build

%configure      --bindir=%{_prefix}/X11R6/bin \
                --mandir=%{_prefix}/X11R6/man \
                --enable-xft \
                --enable-gnome \
                --enable-kde \
                --enable-xinerama \
		#-enable-debug \

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall     bindir=$RPM_BUILD_ROOT/%{_prefix}/X11R6/bin \
                 mandir=$RPM_BUILD_ROOT/%{_prefix}/X11R6/man

# make gdm users happy
mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/switchdesk/
install -m 0755 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/apps/switchdesk/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/gdm/Sessions
install -m 0755 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/X11/gdm/Sessions/

# this is for Fedora Core
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions
install -m 0755 %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm/Sessions/

# artwiz fonts
mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/fonts/
tar xjf %SOURCE4 -C $RPM_BUILD_ROOT%{_prefix}/X11R6/lib/X11/fonts/

%post
# New menu-system
%{_prefix}/X11R6/bin/fluxbox-generate_menu \
	-kg \
	-p %{_datadir} \
	-o %{_datadir}/fluxbox/menu \
	-m Fluxbox-0.9.9 2>&1 > /dev/null


#artwiz fontz
cd %{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka
fc-cache -f ./
%{_sbindir}/chkfontpath -q -a %{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka:unscaled

tmp=`fgrep "<dir>%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka</dir>" %{_sysconfdir}/fonts/local.conf`
if [ -z "$tmp" ];
	then sed -i "s,</fontconfig>,<dir>%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka</dir>\n</fontconfig>," %{_sysconfdir}/fonts/local.conf 
fi

%postun
if [ "$1" -eq "0" ]; then # complete removal, not upgrade
	%{_sbindir}/chkfontpath -q -r %{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka;
	sed -i "\%<dir>%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka</dir>%d" %{_sysconfdir}/fonts/local.conf
fi


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/man/man1/*
%{_datadir}/%{name}
%{_datadir}/apps/switchdesk/Xclients.fluxbox

%{_sysconfdir}/X11/gdm/Sessions/FluxBox
%{_sysconfdir}/X11/dm/Sessions/fluxbox.desktop

%{_prefix}/X11R6/lib/X11/fonts/artwiz-aleczapka

%changelog
* Mon Apr 26 2004 Arnaud Ablard
- rebuilt against Fluxbox-0.9.9

* Thu Jan 16 2004 Arnaud Ablard
- now using artwiz-aleczapka as the artwiz-fonts

* Thu Jan 16 2004 Arnaud Ablard
- fixed a bug with the artwiz fonts

* Thu Jan 15 2004 Arnaud Ablard
- rebuilt against Fluxbox-0.9.8

* Sun Jan 11 2004 Arnaud Ablard
- Added Artwiz nice fonts

* Sat Jan 10 2004 Arnaud Ablard
- rebuild against Fluxbox-0.9.7

* Sat Jan 11 2003 Che
- rebuild without debug

* Mon Dec 09 2002 Che
- new version 0.1.14

* Tue Nov 19 2002 Che
- new version 0.1.13

* Tue Oct 30 2002 Che
- fixed gdm entry

* Tue Oct 23 2002 Che
- added a gdm entry :)

* Tue Oct 22 2002 Che
- initial rpm release

